﻿/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */

angular.module('wjmokbmanager', ['ngDialog']).
controller('okbmanangerCtrl', function ($rootScope, $scope, ngDialog, $timeout, $filter) {
    var vm = $scope;
    var hubber = $.connection.okbManagerHub;
    vm.currentData = {'name' : '', 'data' : null}

    vm.init = function () {

        var uid = document.getElementById("userId").innerHTML;
        $.connection.hub.qs = { 'userid': uid };
        //Connection string set to identify the unique session ID for the user
        $.connection.hub.start().done(function () {
           // hubber.server.requestInfo();//initial data request
        });
        hubber.client.processData = function (filters) {

        };

    }

     vm.initData=  function(coll, name) {
        switch (name) {
            case "platforms":
                vm.platforms = {'selected' : null, 'arr' : coll}
                break;
            case "algoclass":
                vm.algoclass = { 'selected': null, 'arr': coll }
                break;
            case "algos":
                vm.algos = { 'selected': null, 'arr': coll }
                break;
            case "probclass":
                vm.probclass = { 'selected': null, 'arr': coll }
                break;
            case "problems":
                vm.problems = { 'selected': null, 'arr': coll }
                break;

        }

     }
     vm.selectDataCat = function (name) {
         switch (name) {
             case "platforms":
                 vm.currentData.name = "Platforms";
                 vm.currentData.data = vm.platforms;
                 break;
             case "algoclass":
                 vm.currentData.name = "Algorithm classes";
                 vm.currentData.data = vm.algoclass;
                 break;
             case "algos":
                 vm.currentData.name = "Algorithms";
                 vm.currentData.data = vm.algos;
                 break;
             case "probclass":
                 vm.currentData.name = "Problem classes";
                 vm.currentData.data = vm.probclass;
                 break;
             case "problems":
                 vm.currentData.name = "Problems";
                 vm.currentData.data = vm.problems;
                 break;

         }
     }
});